#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-

# This file is part of the SMUML toolset.
# Copyright (C) 2007 Helsinki University of Technology.
#
# The SMUML toolset is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License version 2,
# as published by the Free Software Foundation.
#
# The SMUML toolset is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with the SMUML toolset.  If not, see <http://www.gnu.org/licenses/>.

# __init__.py
#
# 2007-06-06  Jori Dubrovin:  Downgrading to PLY 2.2
# 2007-06-04  Jori Dubrovin:  Upgrading to PLY 2.3
# 2005-09-01  Jori Dubrovin:  Initial version
#

"""The PLY package.

The purpose of this file is to encapsulate the PLY (Python Lex-Yacc)
directory into a Python package.  Because the PLY subdirectory has no
__init__.py file, the __path__ variable of this package is modified to
make lex.py and yacc.py appear as direct submodules of this package.

By this method the PLY subdirectory can be left unchanged and
distributed exactly in the form in which it was downloaded.

(Use cvs add -ko to prevent CVS from changing the header information
inside the files in the PLY distribution.)
"""

import os.path

# When adopting a new version of PLY, change the directory names below
# accordingly.
__path__.append(os.path.join(__path__[0], 'ply-2.2', 'ply'))
