#!/usr/bin/python

"""
Usage: simulator.py uml14model.xmi

Interactively simulates the UML1.4 model given as the argument.
"""

import sys
import coral
import Sim
import Sim.Core
import Utils.String

UML14 = coral.meta.UML14

def myabort(msg):
    print "Error: "+str(msg)
    print "Aborting"
    sys.exit(1)


if len(sys.argv) != 2:
    print __doc__
    sys.exit(1)


P = coral.loadDocument(sys.argv[1])

#
# Find the model
#
models = [m for m in P.contents() if m.oclIsKindOf(UML14.Model)]
if not models:
    _error("No Model found")
if len(models) > 1:
    _error("Multiple Models found")
model = models[0]

#
# Create the simulator
#
sim =  Sim.Core.Simulator(model)

print "The initial trace is:"
sim.api_print_trace(sys.stdout, Utils.String.Indent(" "))
print ""

while sim.interactive_step():
    print "The trace is:"
    sim.api_print_trace()
    print ""

